Subject: Strange put-char encoding-error "conversion to port encoding failed"

From: Christopher Baines <[email-masked]>
Date: Sat, 01 Apr 2023 12:37:16 +0100

Hey,

I've been seeing some strange occasional errors for a while now.

Here are some log messages from the guix-build-coordinator:

worker-thread: exception: (encoding-error put-char conversion to port encoding failed 84 #<output: file 1> s)

encoding-error (put-char conversion to port encoding failed 84 #<output: file 1> s)

encoding-error (put-char conversion to port encoding failed 84 #<output: file 1> w)

encoding-error (put-char conversion to port encoding failed
 84 #<output: file 1> 2

  encoding-error (put-char conversion to port encoding fencoding-error (put-char conversion to port encoding failed 84 #<o
utput: file 1> w)
encoding-error (put-char conversion to port encoding failed 84 #<output: file 1> w)

2022-10-02 17:23:38 (ERROR): error running build-success hook: encoding-error (put-char conversion to port encoding failed
 84 #<output: file 1> B)

Throw to key `encoding-error' with args `("put-char" "conversion to port encoding failed" 84 #<output: file 1> #\p)'.

2022-10-02 21:21:37 (ERROR): error running build-success hook: misc-error (#f ~A (error: command failed (1): (/gnu/store/6

Throw to key `encoding-error' with args `("put-char" "conversion to port encoding failed" 84 #<output: file 1> #\space)'.

Throw to key `encoding-error' with args `("put-char" "conversion to port encoding failed" 84 #<output:
 file 1> #\2)'.

I'm not sure what the 84 means? If I'm picking out the characters that
have failed to be encoded, I'm not sure why some of these would fail
(like space or w)?

Unfortunately I'm not sure how to reproduce this. Suspendable ports
might be a factor here as that is probably in use.